Lingua::Stem::Fr(3pm)

NAME
Lingua::Stem::Fr - Perl French Stemming

SYNOPSIS
    use Lingua::Stem::Fr;

    my $stems = Lingua::Stem::Fr::stem({ -words => $word_list_reference,
                                         -locale => 'fr',
                                         -exceptions => $exceptions_hash,
                                      });

    my $stem = Lingua::Stem::Fr::stem_word( $word );

DESCRIPTION
This module use the a modified version of the Porter Stemming Algorithm to return a stemmed words.

The algorithm is implemented as described in:

http://snowball.tartarus.org/french/stemmer.html

with some improvement.

The code is carefully crafted to work in conjunction with the Lingua::Stem module by Benjamin Franz. This french version is based too, on the work of Aldo Calpini (Italian Version)

METHODS

stem({ -words => \@words, -locale => 'fr', -exceptions => \%exceptions }); Stems a list of passed words. Returns an anonymous list reference to the stemmed words.
    Example:

        my $stemmed_words = Lingua::Stem::Fr::stem({ -words => \@words,
                                                     -locale => 'fr',
                                                     -exceptions => \%exceptions,
                                                  });

stem_word( $word );
    Stems a single word and returns the stem directly.

    Example:

        my $stem = Lingua::Stem::Fr::stem_word( $word );

stem_caching({ -level => 0|1|2 });
    Sets the level of stem caching.

    '0' means 'no caching'. This is the default level.

    '1' means 'cache per run'. This caches stemming results during a single
        call to 'stem'.

    '2' means 'cache indefinitely'. This caches stemming results until
        either the process exits or the 'clear_stem_cache' method is called.

clear_stem_cache;
    Clears the cache of stemmed words

HISTORY

0.01
    Original version; created by h2xs 1.23 with options

      -ACX
            -n
            Lingua::Stem::Fr

0.02
    Minor change in documentation and disable of limitation to perl 5.8.3+

SEE ALSO
You can see the French stemming algorithm from Mr Porter here :

http://snowball.tartarus.org/french/stemmer.html

Another French stemming tool in Perl (French page) :

http://www.univ-nancy2.fr/pers/namer/Telecharger_Flemm.html

AUTHOR
Sébastien Darribere-Pleyt, <sebastien.darribere@lefute.com>

COPYRIGHT AND LICENSE
Copyright (C) 2003 by Aldo Calpini <dada@perl.it>

Copyright (C) 2004 by Sébastien Darribere-Pleyt <sebastien.darribere@lefute.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.3 or, at your option, any later version of Perl 5 you may have available.